<?xml version="1.0" encoding="UTF-8"?>
<go:Orchestration xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:go="http://eu.sensoria-ist.casetool.ui.go/" id="ACTtoolchain" name="ACTtoolchain" description="ACT toolchain">
  <functions name="actToolchain" description="ACT toolchain">
    <calledFunctions name="editProjectWithMagicUWE" link_tool="de.lmu.ifi.pst.sdetools.modelling.magicdrawMagicUWE.IMagicDraw" link_function="String editProjectWithMagicUWE(File project) throws MagicDrawException">
      <outputs link_param="String" name="xmiProjectPath:String" type="java.lang.String" links="//@functions.0/@links.0"/>
      <inputs link_param="java.io.File project" name="project:File" type="java.io.File" links="//@functions.0/@links.1"/>
    </calledFunctions>
    <calledFunctions name="transformUwe2xacml" link_tool="de.lmu.ifi.pst.sdetools.modelling.uwe2xacml.IUwe2xacml" link_function="File transformUwe2xacml(String fileName) throws IOException">
      <outputs link_param="File" name="xacmlPolicyFile:File" type="java.io.File" links="//@functions.0/@links.8 //@functions.0/@links.9"/>
      <inputs link_param="java.lang.String fileName" name="fileName:String" type="java.lang.String" links="//@functions.0/@links.0"/>
    </calledFunctions>
    <calledFunctions name="checkXACMLRequestsWithPDP" link_tool="sunXACML_PDP" link_function="File checkXACMLRequestsWithPDP(File xacmlPolicy, File xacmlRequestsFolder)">
      <outputs link_param="File" name="folderOfXACMLresponses:File" type="java.io.File" links="//@functions.0/@links.4"/>
      <inputs link_param="java.io.File xacmlPolicy" name="xacmlPolicy:File" type="java.io.File" links="//@functions.0/@links.9"/>
      <inputs link_param="java.io.File xacmlRequestsFolder" name="xacmlRequestsFolder:File" type="java.io.File" links="//@functions.0/@links.7"/>
    </calledFunctions>
    <calledFunctions name="createTraces" link_tool="it.cnr.isti.sedc.TraceCreator" link_function="File createTraces(File xacmlRequestsFolder, File xacmlResponsesFolder)">
      <outputs link_param="File" name="traces2JsonFolder:File" type="java.io.File" links="//@functions.0/@links.3"/>
      <inputs link_param="java.io.File xacmlRequestsFolder" name="xacmlRequestsFolder:File" type="java.io.File" links="//@functions.0/@links.2"/>
      <inputs link_param="java.io.File xacmlResponsesFolder" name="xacmlResponsesFolder:File" type="java.io.File" links="//@functions.0/@links.4"/>
    </calledFunctions>
    <calledFunctions name="multipleCombinatorialStrategy" link_tool="it.cnr.isti.sedc.ConfigurableXcreate4Sde" link_function="File multipleCombinatorialStrategy(File xacmlPolicy) throws SQLException">
      <outputs link_param="File" name="multipleXACMLRequestsDir:File" type="java.io.File" links="//@functions.0/@links.7 //@functions.0/@links.2"/>
      <inputs link_param="java.io.File xacmlPolicy" name="xacmlPolicy:File" type="java.io.File" links="//@functions.0/@links.8"/>
    </calledFunctions>
    <calledFunctions name="checkConsistency" link_tool="de.lmu.ifi.pst.sdetools.modelling.magicdrawMagicUWE.IMagicDraw" link_function="String checkConsistency(File project, File jsonTracesFolder) throws MagicDrawException">
      <outputs link_param="String" name="resultOfChecker:String" type="java.lang.String" links="//@functions.0/@links.6"/>
      <inputs link_param="java.io.File project" name="project:File" type="java.io.File" links="//@functions.0/@links.5"/>
      <inputs link_param="java.io.File jsonTracesFolder" name="jsonTracesFolder:File" type="java.io.File" links="//@functions.0/@links.3"/>
    </calledFunctions>
    <inputs description="MagicDraw project file" name="MagicDrawProject" type="java.io.File" links="//@functions.0/@links.1 //@functions.0/@links.5"/>
    <outputs name="resultOfChecker" type="java.lang.String" links="//@functions.0/@links.6"/>
    <links source="//@functions.0/@calledFunctions.0/@outputs.0" target="//@functions.0/@calledFunctions.1/@inputs.0"/>
    <links source="//@functions.0/@inputs.0" target="//@functions.0/@calledFunctions.0/@inputs.0"/>
    <links source="//@functions.0/@calledFunctions.4/@outputs.0" target="//@functions.0/@calledFunctions.3/@inputs.0"/>
    <links source="//@functions.0/@calledFunctions.3/@outputs.0" target="//@functions.0/@calledFunctions.5/@inputs.1"/>
    <links source="//@functions.0/@calledFunctions.2/@outputs.0" target="//@functions.0/@calledFunctions.3/@inputs.1"/>
    <links source="//@functions.0/@inputs.0" target="//@functions.0/@calledFunctions.5/@inputs.0"/>
    <links source="//@functions.0/@calledFunctions.5/@outputs.0" target="//@functions.0/@outputs.0"/>
    <links source="//@functions.0/@calledFunctions.4/@outputs.0" target="//@functions.0/@calledFunctions.2/@inputs.1"/>
    <links source="//@functions.0/@calledFunctions.1/@outputs.0" target="//@functions.0/@calledFunctions.4/@inputs.0"/>
    <links source="//@functions.0/@calledFunctions.1/@outputs.0" target="//@functions.0/@calledFunctions.2/@inputs.0"/>
  </functions>
</go:Orchestration>
